aboutsummaryrefslogtreecommitdiffstats
path: root/lang/tcl84/pkg-install.tclsh
diff options
context:
space:
mode:
authorhoek <hoek@FreeBSD.org>1998-07-28 05:14:50 +0800
committerhoek <hoek@FreeBSD.org>1998-07-28 05:14:50 +0800
commitb8968b217b3ff6b20550c28fe8baf53415049535 (patch)
treed72391087b0f27f1b44626ebf63df772c8843645 /lang/tcl84/pkg-install.tclsh
parentd9a8378ffc6de213bd9281274c86d25cb5335e52 (diff)
downloadfreebsd-ports-gnome-b8968b217b3ff6b20550c28fe8baf53415049535.tar.gz
freebsd-ports-gnome-b8968b217b3ff6b20550c28fe8baf53415049535.tar.zst
freebsd-ports-gnome-b8968b217b3ff6b20550c28fe8baf53415049535.zip
Install a "tclsh" script that spits-out a list of the real tclsh's, as
discussed many times on -ports. I expect that a few of the dependencies will break silently. I didn't touch ja-tcl (etc.) since the tclsh message should perhaps be translated? PR: ports/5894 Mention: Eivind (a first shot at a tclsh script)
Diffstat (limited to 'lang/tcl84/pkg-install.tclsh')
-rw-r--r--lang/tcl84/pkg-install.tclsh31
1 files changed, 31 insertions, 0 deletions
diff --git a/lang/tcl84/pkg-install.tclsh b/lang/tcl84/pkg-install.tclsh
new file mode 100644
index 000000000000..244df90dfdba
--- /dev/null
+++ b/lang/tcl84/pkg-install.tclsh
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+# The user may have a tclsh they want to preserve
+if [ ! -f ${PKG_PREFIX}/bin/tclsh ] || [ \
+ `grep -a awieYJFnsuILOnfsYEW ${PKG_PREFIX}/bin/tclsh | sed -e 's/.*\*\*//'` \
+ -lt 001 ]
+then
+ [ -f ${PKG_PREFIX}/bin/tclsh ] && chmod u+w ${PKG_PREFIX}/bin/tclsh
+
+ cat > ${PKG_PREFIX}/bin/tclsh <<'EOF'
+#!/bin/sh
+# Installed by ports system. id: awieYJFnsuILOnfsYEW**001
+
+(
+echo "In FreeBSD, tclsh is named with a version number. This is because"
+echo "different versions of tclsh are not compatible with each other and"
+echo "they can not all be called \"tclsh\"! You may need multiple versions"
+echo "installed because a given port may depend on a specific version."
+echo
+echo "On your system, tclsh is installed under at least the following names:"
+echo
+for name in $(/bin/ls $(echo $PATH | sed 's/:/ /g') 2> /dev/null | egrep '^tclsh[0-9]+\.[0-9]+([a-z][a-z])?$')
+do
+ echo $name
+done
+[ "$name" = "" ] && echo "No tclsh installations found, sorry."
+) 1>&2
+exit 1
+EOF
+ chmod a+rx ${PKG_PREFIX}/bin/tclsh
+fi